port: 7890 # port of HTTP
socks-port: 7891 # port of SOCKS5
allow-lan: false
mode: rule
external-controller: 127.0.0.1:9090

proxies:
- name: "aosai (frp)"
  type: socks5
  server: ddns.myredstone.top
  port: 4092
- name: "Hy2 (frp)"
  type: hysteria2
  server: wxx.myredstone.top
  port: 4099
  password: WXX-RS-1024
  skip-cert-verify: true
- name: "Hy2 (local)"
  type: socks5
  server: 127.0.0.1
  port: 1080
- name: "⛔"
  type: socks5
  server: wxx.myredstone.top
  port: 4092

proxy-groups:

- name: Proxy192
  type: select
  proxies:
    - aosai (frp)
    - Hy2 (frp)
    - Hy2 (local)
    - ⛔
  
rules:
- IP-CIDR,127.0.0.0/8,DIRECT,no-resolve
- IP-CIDR,192.168.0.0/16,Proxy192,no-resolve
- IP-CIDR,10.0.0.0/8,Proxy192,no-resolve